<?php
session_start();
require_once('../conexion.php');
require_once('../include/sesiones.php');

$fecha=date('Y-m-d H:i:s');
$hora=date('H:i:s');
$tipo_venta ='remision';
$ord_id=$_POST['ord_id'];

$can1=mysqli_query($con,"SELECT * FROM orden_servicios where ord_id='$ord_id'") or die(mysqli_error($con)); 
$dat=mysqli_fetch_array($can1);
$clie_id=$dat['ord_clie_id'];
$clie_nombre=$dat['ord_clie_nombre'];
$clie_correo=$dat['ord_clie_correo'];
$clie_telefono=$dat['ord_clie_telefono'];
$ord_numero=$dat['ord_numero'];
$can1=mysqli_query($con,"SELECT * FROM cliente where clie_id='$clie_id'") or die(mysqli_error($con)); 
$datc=mysqli_fetch_array($can1);
$clie_cc=$datc['clie_cc'];

$clie_puntos=$datc['clie_puntos'];
$total_punto=$_POST['total_punto'];
$suma_puntos=$clie_puntos+$total_punto;

$punto=mysqli_query($con,"UPDATE cliente Set clie_puntos='$suma_puntos' where clie_id='$clie_id' and empresa='$empresa'") or die(mysqli_error($con));

include('../php_facturar/numeracion.php');
if($siga=='si')
{
    $can=mysqli_query($con,"SELECT MAX(ven_id)as ven_id FROM ventas ") or die(mysqli_error($con)); 
    $dato=mysqli_fetch_array($can);
    $ven_id=$dato['ven_id']+1;

    $vendedor=$_POST['vendedor'];
    $sumador_total=$_POST['sumador_total'];
    $forma_pago=$_POST['forma_pag'];

    if($forma_pago=='efectivo')
    {
        $medio_pago='efectivo';
    }
    if($forma_pago=='transferencia')
    {
        $medio_pago=$_POST['medio_pago'];
    } 
    if($forma_pago=='tarjeta')
    {
       $medio_pago=$_POST['medio_pago'];
    } 
    if($forma_pago=='combinado')
    {
        $medio_pago=$_POST['medio_pago'];
        $valores=$_POST['valores'];
                
                 
            for ($i = 0; $i < count($medio_pago); $i++) 
            {
                $medio1 = mysqli_real_escape_string($con, $medio_pago[$i]);

                if ($medio1 == 'efectivo') {
                    $forma = 'efectivo';
                    $medio = 'Efectivo';
                } else if ($medio1 == 'nota credito') {
                    $forma = 'nota credito';
                    $medio = 'Nota Credito';
                } else {
                    $forma = 'transferencia';
                    $medio = $medio1;
                }

                $valor_com = floatval($valores[$i]);

                $can2=mysqli_query($con,"SELECT MAX(mov_id)as mov_id FROM movimientos") or die(mysqli_error($con)); 
                $dato2=mysqli_fetch_array($can2); 
                $mov_id=$dato2['mov_id']+1;

                $abon=mysqli_query($con,"INSERT into orden_abonos (ord_abono,forma_pago,medio_pago,ord_fecha,mov_id,usuario,apertura,sucursal,empresa,orden_servicios_ord_id)
                VALUES ('$valor_com','$forma','$medio','$fecha','$mov_id','$usu_id','$apertura','$sucursal','$empresa','$ord_id')") or die(mysqli_error($con));

                $can1=mysqli_query($con,"SELECT MAX(mov_numero)as mov_numero FROM movimientos where empresa='$empresa'") or die(mysqli_error($con)); 
                $dato1=mysqli_fetch_array($can1); 
                $mov_numero=$dato1['mov_numero']+1;

                $registros=mysqli_query($con,"INSERT into movimientos (mov_id,mov_caja,mov_apertura, mov_numero,mov_fecha,mov_usuario,mov_tipo_movimiento,mov_detalle,mov_total,estado,forma_pago,medio_pago,sucursal,empresa) 
                VALUES ('$mov_id','$cajas_caja_id','$apertura','$mov_numero','$fecha','$usu_id','Abono orden de servicio','Pago orden de servicio N $ord_numero','$valor_com','entrada','$forma','$medio','$sucursal','$empresa')") or die(mysqli_error($con));


            }  
    }
   

    $registros=mysqli_query($con,"INSERT INTO ventas (ven_id,ven_tipo,ven_prefijo,ven_ser_id,ven_n_venta,ven_fecha,ven_hora, ven_forma_de_pago,ven_dias,ven_estado,Cliente_clie_id,ven_cc,ven_nombre,ven_correo,ven_telefono,usuario,vendedor,caja,apertura,sucursal,empresa)
    VALUES ('$ven_id','$ser_tipo','$ser_prefijo','$ser_id','$ven_n_venta','$fecha','$hora','Contado','0','pagada','$clie_id','$clie_cc','$clie_nombre','$clie_correo','$clie_telefono','$usu_id','$vendedor','$cajas_caja_id','$apertura','$sucursal','$empresa')") or die(mysqli_error($con));

    $can1=mysqli_query($con,"SELECT MAX(mov_numero)as mov_numero FROM movimientos where empresa='$empresa'") or die(mysqli_error($con)); 
    $dato1=mysqli_fetch_array($can1); 
    $mov_numero=$dato1['mov_numero']+1;
    $can2=mysqli_query($con,"SELECT MAX(mov_id)as mov_id FROM movimientos") or die(mysqli_error($con)); 
    $dato2=mysqli_fetch_array($can2); 
    $mov_id=$dato2['mov_id']+1;

    $registros=mysqli_query($con,"INSERT INTO venta_abonos (veab_abono,forma_pago,medio_pago,veab_fecha,usuario,apertura,sucursal,empresa,ventas_ven_id)
    VALUES ('0','nota credito','Nota credito','$fecha','$usu_id','$apertura','$sucursal','$empresa','$ven_id')") or  die(mysqli_error($con));

    if ($forma_pago!='combinado') {
        $abon=mysqli_query($con,"INSERT into orden_abonos (ord_abono,forma_pago,medio_pago,ord_fecha,mov_id,usuario,apertura,sucursal,empresa,orden_servicios_ord_id)
        VALUES ('$sumador_total','$forma_pago','$medio_pago','$fecha','$mov_id','$usu_id','$apertura','$sucursal','$empresa','$ord_id')") or die(mysqli_error($con));
   

    $registros=mysqli_query($con,"INSERT into movimientos (mov_id,mov_caja,mov_apertura, mov_numero,mov_fecha,mov_usuario,mov_tipo_movimiento,mov_detalle,mov_total,estado,forma_pago,medio_pago,sucursal,empresa) 
    VALUES ('$mov_id','$cajas_caja_id','$apertura','$mov_numero','$fecha','$usu_id','Abono orden de servicio','Pago orden de servicio N $ord_numero','$sumador_total','entrada','$forma_pago','$medio_pago','$sucursal','$empresa')") or die(mysqli_error($con));

     }

    //detalles
   
    $can7=mysqli_query($con,"SELECT * FROM orden_detalle where orden_servicios_ord_id='$ord_id' and (fact<>'no' or fact IS NULL) ") or die(mysqli_error($con));  
    $number=mysqli_num_rows($can7);
    while($dato=mysqli_fetch_array($can7))
    {
        $ordt_id=$dato['ordt_id'];
        $art_art_id=$dato['art_art_id'];
        $vent_art_id=$dato['ordt_art_id'];
        $vent_referencia=$dato['ordt_referencia'];            
        $vent_nombre=$dato['ordt_nombre']; 
        $vent_unidad=$dato['ordt_unidad']; 
        $vent_x_cantidad=$dato['ordt_x_cantidad']; 
        $vent_cantidad=$dato['ordt_cantidad']; 
        $vent_iva=$dato['ordt_iva'];  
        $vent_desc=$dato['ordt_desc'];         
        $vent_precio=$dato['ordt_precio'];
        $vent_tipo=$dato['ordt_tipo'];

        $cantidad_descontar=$vent_cantidad*$vent_x_cantidad; //30

        $descuento=($vent_desc/100)*$vent_precio;
        $pt=$vent_precio-$descuento;

        $can=mysqli_query($con,"SELECT MAX(vend_id)as vend_id FROM venta_detalle") or die(mysqli_error($con)); 
        $dato=mysqli_fetch_array($can);
        $vend_id=$dato['vend_id']+1;

        if($vent_tipo=='articulo')
        {
            include('../php_facturar/descontar_kardex.php');

            $can8=mysqli_query($con,"INSERT INTO venta_detalle (vend_id,art_art_id,vend_art_id,vend_referencia,vend_nombre,vend_unidad,vend_cantidad,vend_cantidad_dev,vend_x_cantidad,vend_iva,vend_desc,vend_costo,vend_precio,vend_precio_real,vend_tipo,empresa,ventas_ven_id) 
            VALUES ('$vend_id','$art_art_id','$vent_art_id','$vent_referencia','$vent_nombre','$vent_unidad','$vent_cantidad','$vent_cantidad','$vent_x_cantidad','$vent_iva','$vent_desc','$costo','$vent_precio','$pt','$vent_tipo','$empresa','$ven_id')") or die(mysqli_error($con));  

            //descontar cantidad
            $canb=mysqli_query($con,"SELECT * FROM articulos_has_bodegas WHERE art_id='$art_art_id' and articulos_art_id='$vent_art_id' and bodegas='$bod_id' and  empresa='$empresa'") or die(mysqli_error($con));  
            $canb=mysqli_fetch_array($canb);
            $articulos_art_id=$canb['articulos_art_id'];            
            $art_cantidad=$canb['art_cantidad'];
            $resta=$art_cantidad-$vent_cantidad;
            $registros=mysqli_query($con,"UPDATE articulos_has_bodegas Set art_cantidad='$resta' Where art_id='$art_art_id' and articulos_art_id='$vent_art_id' and bodegas='$bod_id' and empresa='$empresa'") or die(mysqli_error($con));
           
            //seriales
            $can9=mysqli_query($con,"SELECT * FROM orden_detalle_seriales where ordt_id='$ordt_id'") or die(mysqli_error($con));
            while($ser=mysqli_fetch_array($can9))
            {
                $ser_codigo=$ser['ser_codigo'];
                $can8=mysqli_query($con,"INSERT INTO seriales (ser_codigo,estado_dev,venta_detalle_vend_id,venta_detalle_empresa,venta_detalle_ventas_ven_id) 
                VALUES ('$ser_codigo','no','$vend_id','$empresa','$ven_id')") or die(mysqli_error($con));  

                $registros=mysqli_query($con,"UPDATE seriales_articulos Set estado='vendido' Where articulos_art_id='$vent_art_id' and se_codigo='$ser_codigo'") or die(mysqli_error($con));
            }
        }

        if($vent_tipo=='producto' or $vent_tipo=='servicio')
        {
            $can_pro=mysqli_query($con,"SELECT * FROM articulos WHERE art_id='$vent_art_id'") or die(mysqli_error($con));  
            $dato_pro=mysqli_fetch_array($can_pro);
            $costo=$dato_pro['art_precio_costo'];

            $can8=mysqli_query($con,"INSERT INTO venta_detalle (vend_id,vend_art_id,vend_referencia,vend_nombre,vend_cantidad,vend_cantidad_dev,vend_iva,vend_desc,vend_costo,vend_precio,vend_precio_real,vend_tipo,cambio,caja,empresa,ventas_ven_id) 
            VALUES ('$vend_id','$vent_art_id','$vent_referencia','$vent_nombre','$vent_cantidad','$vent_cantidad','$vent_iva','$vent_desc','$costo','$vent_precio','$pt','$vent_tipo','ven','$cajas_caja_id','$empresa','$ven_id')") or die(mysqli_error($con));
        }
        if($vent_tipo=='detallado')
        {
            $can_det=mysqli_query($con,"SELECT * FROM articulos_detallado WHERE artd_id='$vent_art_id'") or die(mysqli_error($con));  
            $dato_det=mysqli_fetch_array($can_det);
            $artd_cantidad=$dato_det['artd_cantidad'];
            $artd_precio_costo=$dato_det['artd_precio_costo'];
            $resta=$artd_cantidad-$vent_cantidad;
            $registros=mysqli_query($con,"UPDATE articulos_detallado Set artd_cantidad='$resta' Where artd_id='$vent_art_id'") or die(mysqli_error($con));

           
            $can8=mysqli_query($con,"INSERT INTO venta_detalle (vend_id,vend_art_id,vend_referencia,vend_nombre,vend_cantidad,vend_cantidad_dev,vend_iva,vend_desc,vend_costo,vend_precio,vend_precio_real,vend_tipo,cambio,caja,empresa,ventas_ven_id) 
            VALUES ('$vend_id','$vent_art_id','$vent_referencia','$vent_nombre','$vent_cantidad','$vent_cantidad','$vent_iva','$vent_desc','$artd_precio_costo','$vent_precio','$pt','$vent_tipo','ven','$cajas_caja_id','$empresa','$ven_id')") or die(mysqli_error($con));

        }
    } 
       
$sql=mysqli_query($con,"UPDATE orden_servicios Set ord_estado ='ENTREGADA' Where ord_id='$ord_id'") or die(mysqli_error($con));          
//combos
   
//detallado
?>

    <pre style="font-size:24px"><strong class="text-success">Dinero Recibido</strong></pre>
    <pre style="font-size:24px"><strong><?php echo number_format($sumador_total,0); ?></strong></pre>
    <pre style="font-size:24px"><strong class="text-success">Cambio</strong></pre>
    <pre style="font-size:24px"><strong><?php echo number_format($sumador_total-$sumador_total,0); ?></strong></pre>
                             
    <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
        <?php include('../include/boton_venta.php'); ?>
    
    </div>
<?php }  ?>
<script language="Javascript">
function enviar_email(ven_id)
{
    VentanaCentrada('./libraries/pdf/pdf_correos/email_venta.php?ven_id='+ven_id,'Factura','','800','600','true');
}
</script>